Subject: Re: CLisp compiler

From: Joerg Hoehle <[email-masked]>
Date: Fri, 28 Aug 1998 00:17:59 +0200

Brent Meeker wrote:
> Are there any settings for the CLisp compiler on the Amiga - speed, 
> safety, etc?  I'm asking because I asked Franz Inc. why their commercial
> Allegro Common Lisp 5.0b is only one tenth as fast as CLisp and they 
> asked me about settings on the compiler.

The compiler of CLISP ignores speed, safety and debug settings and
type declarations.  Types are only checked by the interpreter. We
should probably add something about this somewhere in the docs.

But I think you're comparing apples and oranges as there's no Allegro
Common Lisp 5.0b from Franz on the Amiga (inimaginable :-) (Macintosh
680x0 emulator?)  So how did you measure these speed differences?

Regards,
	Jorg Hohle
http://zeus.gmd.de/~hoehle/amiga-clisp.html